#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import constants

### Workflows
# WARNING: Be very careful about how the workflow is "organized" (i.e the order of the steps/datasets, check the .ga if there is any error)

WORKFLOWS_PATH = "workflows_phaeoexplorer/"

WF_LOAD_GFF_JB_1_ORG_FILE = "Galaxy-Workflow-chado_load_tripal_synchronize_jbrowse_1org_v7.ga"
WF_LOAD_GFF_JB_1_ORG_INPUT_GENOME = "0"
WF_LOAD_GFF_JB_1_ORG_INPUT_GFF = "1"
WF_LOAD_GFF_JB_1_ORG_INPUT_PROTEINS = "2"
WF_LOAD_GFF_JB_1_ORG_STEP_LOAD_FASTA = "3"
WF_LOAD_GFF_JB_1_ORG_STEP_JBROWSE = "4"
WF_LOAD_GFF_JB_1_ORG_STEP_LOAD_GFF = "5"
WF_LOAD_GFF_JB_1_ORG_STEP_JB_TO_CONTAINER = "6"
WF_LOAD_GFF_JB_1_ORG_STEP_SYNC_FEATURE = "7"
WF_LOAD_GFF_JB_1_ORG_STEP_SYNC_ORG = "8"
WF_LOAD_GFF_JB_1_ORG_STEP_SYNC_GENOME_ANALYSIS = "9"
WF_LOAD_GFF_JB_1_ORG_STEP_SYNC_OGS_ANALYSIS = "10"
WF_LOAD_GFF_JB_1_ORG_STEP_POPULATE_VIEWS = "11"
WF_LOAD_GFF_JB_1_ORG_STEP_INDEX = "12"

WF_LOAD_GFF_JB_2_ORG_FILE = "Galaxy-Workflow-chado_load_tripal_synchronize_jbrowse_2org_v7.ga"
WF_LOAD_GFF_JB_2_ORG_INPUT_GENOME_ORG1 = "4"
WF_LOAD_GFF_JB_2_ORG_INPUT_GFF_ORG1 = "2"
WF_LOAD_GFF_JB_2_ORG_INPUT_PROTEINS_ORG1 = "0"
WF_LOAD_GFF_JB_2_ORG_INPUT_GENOME_ORG2 = "1"
WF_LOAD_GFF_JB_2_ORG_INPUT_GFF_ORG2 = "3"
WF_LOAD_GFF_JB_2_ORG_INPUT_PROTEINS_ORG2 = "5"
WF_LOAD_GFF_JB_2_ORG_STEP_LOAD_FASTA_ORG1 = "7"
WF_LOAD_GFF_JB_2_ORG_STEP_JBROWSE_ORG1 = "8"
WF_LOAD_GFF_JB_2_ORG_STEP_JBROWSE_ORG2 = "6"
WF_LOAD_GFF_JB_2_ORG_STEP_LOAD_GFF_ORG1 = "9"
WF_LOAD_GFF_JB_2_ORG_STEP_JB_TO_CONTAINER = "10"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_FEATURE_ORG1 = "11"
WF_LOAD_GFF_JB_2_ORG_STEP_LOAD_FASTA_ORG2 = "12"
WF_LOAD_GFF_JB_2_ORG_STEP_LOAD_GFF_ORG2 = "13"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_FEATURE_ORG2 = "14"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_ORG1 = "15"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_ORG2 = "16"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_GENOME_ANALYSIS_ORG1 = "17"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_OGS_ANALYSIS_ORG1 = "18"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_GENOME_ANALYSIS_ORG2 = "19"
WF_LOAD_GFF_JB_2_ORG_STEP_SYNC_OGS_ANALYSIS_ORG2 = "20"
WF_LOAD_GFF_JB_2_ORG_STEP_POPULATE_VIEWS = "21"
WF_LOAD_GFF_JB_2_ORG_STEP_INDEX = "22"

# Workflow to load blastp, blastx and interproscan into chado and tripal
WF_BLAST_INTERPRO_1_ORG_FILE = "Galaxy-Workflow-load_blast_interproscan_results_1org_v2.ga"
WF_BLAST_INTERPRO_1_ORG_INPUT_BLASTP = "0"
WF_BLAST_INTERPRO_1_ORG_INPUT_BLASTX = "1"
WF_BLAST_INTERPRO_1_ORG_INPUT_INTERPRO = "2"
WF_BLAST_INTERPRO_1_ORG_LOAD_BLASTP = "3"
WF_BLAST_INTERPRO_1_ORG_LOAD_BLASTX = "4"
WF_BLAST_INTERPRO_1_ORG_LOAD_INTERPRO = "5"
WF_BLAST_INTERPRO_1_ORG_POPULATE_MAT_VIEWS = "6"
WF_BLAST_INTERPRO_1_ORG_INDEX_TRIPAL_DATA = "7"
WF_BLAST_INTERPRO_1_ORG_SYNC_BLASTP_ANALYSIS = "8"
WF_BLAST_INTERPRO_1_ORG_SYNC_BLASTX_ANALYSIS = "9"
WF_BLAST_INTERPRO_1_ORG_SYNC_INTERPRO_ANALYSIS = "10"

WF_BLAST_INTERPRO_2_ORG_FILE = "Galaxy-Workflow-load_blast_interproscan_results_2org_v2.ga"
WF_BLAST_INTERPRO_2_ORG_INPUT_BLASTP_ORG1 = "0"
WF_BLAST_INTERPRO_2_ORG_INPUT_BLASTP_ORG2 = "1"
WF_BLAST_INTERPRO_2_ORG_INPUT_BLASTX_ORG1 = "2"
WF_BLAST_INTERPRO_2_ORG_INPUT_BLASTX_ORG2 = "3"
WF_BLAST_INTERPRO_2_ORG_INPUT_INTERPRO_ORG1 = "4"
WF_BLAST_INTERPRO_2_ORG_INPUT_INTERPRO_ORG2 = "5"
WF_BLAST_INTERPRO_2_ORG_LOAD_BLASTP_ORG1 = "6"
WF_BLAST_INTERPRO_2_ORG_LOAD_BLASTP_ORG2 = "7"
WF_BLAST_INTERPRO_2_ORG_LOAD_BLASTX_ORG1 = "8"
WF_BLAST_INTERPRO_2_ORG_LOAD_BLASTX_ORG2 = "9"
WF_BLAST_INTERPRO_2_ORG_LOAD_INTERPRO_ORG1 = "10"
WF_BLAST_INTERPRO_2_ORG_LOAD_INTERPRO_ORG2 = "11"
WF_BLAST_INTERPRO_2_ORG_POPULATE_MAT_VIEWS = "12"
WF_BLAST_INTERPRO_2_ORG_INDEX_TRIPAL_DATA = "13"
WF_BLAST_INTERPRO_2_ORG_SYNC_BLASTP_ANALYSIS_ORG1 = "14"
WF_BLAST_INTERPRO_2_ORG_SYNC_BLASTX_ANALYSIS_ORG1 = "15"
WF_BLAST_INTERPRO_2_ORG_SYNC_INTERPRO_ANALYSIS_ORG1 = "16"
WF_BLAST_INTERPRO_2_ORG_SYNC_BLASTP_ANALYSIS_ORG2 = "17"
WF_BLAST_INTERPRO_2_ORG_SYNC_BLASTX_ANALYSIS_ORG2 = "18"
WF_BLAST_INTERPRO_2_ORG_SYNC_INTERPRO_ANALYSIS_ORG2 = "19"


### Galaxy tools

ADD_ORGANISM_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_organism_add_organism/organism_add_organism/"
ADD_ORGANISM_TOOL_VERSION = "2.3.4+galaxy0"
ADD_ORGANISM_TOOL_ID = ADD_ORGANISM_TOOL_NAME + ADD_ORGANISM_TOOL_VERSION
ADD_ORGANISM_TOOL_CHANGESET_REVISION = "1f12b9650028"

ADD_ANALYSIS_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_analysis_add_analysis/analysis_add_analysis/"
ADD_ANALYSIS_TOOL_VERSION = "2.3.4+galaxy0"
ADD_ANALYSIS_TOOL_ID= ADD_ANALYSIS_TOOL_NAME + ADD_ANALYSIS_TOOL_VERSION
ADD_ANALYSIS_TOOL_CHANGESET_REVISION = "10b2b1c70e69"
ADD_ANALYSIS_TOOL_PARAM_PROGRAM = "Performed by Genoscope"
ADD_ANALYSIS_TOOL_PARAM_DATE = constants.DATA_DATE

GET_ORGANISMS_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_organism_get_organisms/organism_get_organisms/"
GET_ORGANISMS_TOOL_VERSION = "2.3.4+galaxy0"
GET_ORGANISMS_TOOL_ID = GET_ORGANISMS_TOOL_NAME + GET_ORGANISMS_TOOL_VERSION
GET_ORGANISMS_TOOL_CHANGESET_REVISION = "831229e6cda2"

GET_ANALYSES_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_analysis_get_analyses/analysis_get_analyses/"
GET_ANALYSES_TOOL_VERSION = "2.3.4+galaxy0"
GET_ANALYSES_TOOL_ID = GET_ANALYSES_TOOL_NAME + GET_ANALYSES_TOOL_VERSION
GET_ANALYSES_TOOL_CHANGESET_REVISION = "a867923f555e"

ANALYSIS_SYNC_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/tripal_analysis_sync/analysis_sync/"
ANALYSIS_SYNC_TOOL_VERSION = "3.2.1.0"
ANALYSIS_SYNC_TOOL_ID = ANALYSIS_SYNC_TOOL_NAME + ANALYSIS_SYNC_TOOL_VERSION
ANALYSIS_SYNC_TOOL_CHANGESET_REVISION = "f487ff676088"

ORGANISM_SYNC_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/tripal_organism_sync/organism_sync/"
ORGANISM_SYNC_TOOL_VERSION = "3.2.1.0"
ORGANISM_SYNC_TOOL_ID = ORGANISM_SYNC_TOOL_NAME + ORGANISM_SYNC_TOOL_VERSION
ORGANISM_SYNC_TOOL_CHANGESET_REVISION = "afd5d92745fb"
